local mod = RW:Boss("Trash - Stinky", "Icecrown Citadel", "Icecrown Citadel", "The Plagueworks")
mod:SetAsTrashMod()
local L

---------------------------
-- Variables
local mWound, tWoundDur
local tDecimateCD, tDecimateCast, wDecimate

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Trash - Stinky"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(37025)
	self:SetWin()

	tWoundDur		= self:DurTargetStackTimer(20, 71127, nil, nil, false)
	tDecimateCD		= self:CDTimer(33, 71123)
	tDecimateCast	= self:CastTimer(71123)
	
	wDecimate		= self:CastWarning(71123)
	
	mWound			= self:TargetStackMessage(71127, nil, nil, false)
end

---------------------------
-- Locals
local zombieSpamm

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Wound", 71127)
	self:Track("Decimate", 71123)
	
	zombieSpamm = 0
end

function mod:Wound(event, args)
	if event == "SPELL_AURA_APPLIED" or event == "SPELL_AURA_APPLIED_DOSE" then
		tWoundDur:Start(args.dName, args.amount or 1)
		mWound:Show(args.dName, args.amount or 1)
	
	elseif event == "SPELL_AURA_REMOVED" or event == "SPELL_AURA_REMOVED_DOSE" then
		tWoundDur:Stop(args.dName)
	end
end

function mod:Decimate(event, args)
	if event == "SPELL_CAST_START" then
		tDecimateCD:Schedule(3)
		tDecimateCast:Start()
		wDecimate:Show()
	end
end
