local mod = RW:Boss("Ignis the Furnace Master", "Ulduar", "Ulduar", "The Siege of Ulduar")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_ignis_01]]

---------------------------
-- Variables
local tFlameJetCD, tFlameJetCast, wFlameJet
local tScorchCD
local tSlagPotDur
local iStorm
local tBerserk

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Ignis the Furnace Master"
		
		L.YellPull = "Insolent whelps! Your blood will temper the weapons used to reclaim this world!"
		L.YellDeath = "I. Have. Failed."
		L.Strengthbar = "Strength of the Creator"
		L.Strengthbar_opt = "Add buff bar"
		end

	L = mod:GetLocale()
	self.L = L
	
	self:AddBoolOption("Strengthbar", L.Strengthbar_opt, nil, true, select(3, GetSpellInfo(64473)))
	
	self:SetTrigger(L.YellPull, 33118)
	self:SetWin(L.YellDeath, 33118)

	tFlameJetCD, tFlameJetCast, wFlameJet = self:CDTimer(32.3, 63472), self:CastTimer(63472), self:CastWarning(63472)
	tScorchCD = self:CDTimer(25, 63473, nil, nil, false)
	tSlagPotDur = self:DurTargetTimer(10, 63477, nil, nil, false)
end

---------------------------
-- Locals
local strengthStacks

local function updateStrength()
	return strengthStacks, 20
end

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("FlameJet", 62680, 63472)
	self:Track("Scorch", 62548, 63474)
	self:Track("SlagPot", 62717, 63477)
	self:Track("Strength", 64473)
	
	strengthStacks = 0
	self:SendMessage("RW_AddHealthFrame", updateStrength, L.Strengthbar, select(3, GetSpellInfo(64473)), "STACK")
end

function mod:FlameJet(event, args)
	if event == "SPELL_CAST_START" then
	 	tFlameJetCast:Start()
		wFlameJet:Show()
		tFlameJetCD:Schedule(2.7)
	end
end

function mod:Scorch(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tScorchCD:Start()
	end
end

function mod:SlagPot(event, args)
	if event == "SPELL_AURA_APPLIED" then
		if args:IsPlayer() then
			SendChatMessage("It burns! It burns us!", "SAY")
		end
		tSlagPotDur:Start(args.dName)
	end
end	

function mod:Strength(event, args)
	if event == "SPELL_AURA_APPLIED" or event == "SPELL_AURA_APPLIED_DOSE" then
		strengthStacks = args.amount or 1
	end
	if event == "SPELL_AURA_REMOVED" or event == "SPELL_AURA_REMOVED_DOSE" then
		strengthStacks = args.amount or 0
	end
end
